function [ Z ] = Zbranch( f, Fx, Rss, Gc, Lc, Cc ) 

% Branch Impedances at spot frequency f
% See figure 4.3.4
w=2*pi*f ;
for i=1:3
    Rc(i)=Rss(i)*sqrt(1+f/Fx);
    theta=sqrt((Rc(i)+1j*w*Lc(i))*(Gc(i)+1j*w*Cc(i)));
    Zo=sqrt((Rc(i)+1j*w*Lc(i))/(Gc(i)+1j*w*Cc(i)));
    A(i)=Zo*tanh(theta/2);
    S=sinh(theta);
    C = conj(S);
    Y = S/Zo ;
    B(i) = 1/Y ;    
end
Z=[A ;B] ;
end

