% worksheet2_5
% copper conductor, 1 mm diameter, 15 meter long
clear
clc

rho = 1.7e-8 ;
len = 15;
mu = 4*pi*1e-7;
r = 0.5*1e-3;
Rss = rho*len/(pi*r^2);
Fx = 4*rho/(mu*pi*r^2) ;
x = [3 :0.1 : 7] ;
f = 10.^x ;
Rc =Rss*sqrt(1+f/Fx);
Rskin = (len/(2*r))*sqrt(mu*rho*f/pi);
loglog(f, Rc, f, Rskin);
grid 
xlabel('Frequency , Hz')
ylabel('Resistance, ohm')
title ('Figure 2.5.3 Relationship between resistance and frequency')
% blue curve - impedance of conductor
% green line - reactance due to skin effect
% end of file