% worksheet3_1
% The Composite conductor
clear
clc

% Defining the geometry.
Rad = 10e-3 ;
len = 10 ;
n = 24 ;
i = 1 : n ;
Theta = 2*pi*(i - 0.5)/n ;
x = Rad*cos(Theta);
y = Rad*sin(Theta);
r(i) = Rad/n ;
% Displaying the locations of the elemental conductors
plot(x, y, 'o');
axis([-0.015 0.015 -0.015 0.015]) ;
title('Fig. 3.1.3 Defining the geometry of the composite conductor');
xlabel('x, millimeters');
ylabel('y, millimeters') ;
% Setting up an n by n array of primitive inductors Lp
Muo = 4*pi*1e-7 ;
Mur = 1 ;
K = Muo*Mur*len/(2*pi) ;
for i = 1 : n
    for j = 1 : n
        h = x(j) - x(i) ;
        v = y(j) - y(i) ;
        rad = sqrt(h^2 + v^2) ;
        if rad==0 
            rad = r(i) ;
        end
        Lp(i,j) = K*log(len/rad) ;              
    end
    Wp(i) = 1 ;
end
% Setting up a column vector of voltages
Vp = Wp' ;
% calculating the values of the primive currents in the elemental
% conductors (really the rate of change of current due to a 
% step voltage of 1 Volt)
Ip =linsolve(Lp,Vp) ;
% Calculating the amplitude of the total current in the composite
% conductor
Iq = 0 ;
for i = 1 : n
    Iq = Iq + Ip(i);
end
% The inductance is the voltage divided by the rate of change of current.
Lq = 1/Iq ;
% The primitive inductance of the composiste conductor
Lp = 2e-7*len*log(len/Rad);
% Invoking the duality between inductance and capacitance
eps_o = 8.854e-12 ;
eps_r = 1 ;
Cq = eps_o*eps_r*Muo*Mur*len^2/Lq ;

str1=['Partial inductance of composite conductor, Lq = ',num2str(Lq),' Henry'];
disp(str1)

str2=['Partial capacitance of composite conductor Cq = ',num2str(Cq),' Farad'];
disp(str2)
disp('check :-')
str3=['Primitive inductance of 10 mm conductor    Lp = ',num2str(Lp),' Henry'];
disp(str3)
