% worksheet3_2
clear
clc

len = 1 ;
X1 = 0 ; X2 = 4e-3 ;
Y1 = 0 ; Y2 = 0 ;
R1 = 1e-3 ; R2 = 1e-3 ;
n1 = 12 ; n2 = 12 ;
N = n1 + n2 ;
i = 1 : n1 ;
theta = 2*pi*(i-0.5)/n1 ;
x = X1+R1*cos(theta) ;
y = Y1+R1*sin(theta) ;
r(i) = R1/n1 ;
for i = n1+1 : N
    theta = 2*pi*(i-n1-0.5)/n2 ;
    x(i) = X2+R2*cos(theta) ;
    y(i) = Y2+R2*sin(theta) ;
    r(i) = R2/n2 ;
end

plot(x,y, 'o') ;
axis([-1.5e-3 5.5e-3 -2.75e-3 2.75e-3]) ;

mu_o = 4*pi*1e-7 ;
mu_r = 1 ;
K = mu_o*mu_r*len/(2*pi) ;
for i = 1 : N ;
    for j = 1 : N
        h = x(j) - x(i) ;
        v = y(j) - y(i) ;
        rad = sqrt(h^2 + v^2) ;
        if rad == 0
            rad = r(i) ;
        end
        Lp(i,j) = K*log(len/rad) ;
    end    
end

for i = 1 : N-1 ;
    for j = 1 : N-1 
        Lloop(i,j) = Lp(i,j)-Lp(i,j+1)-Lp(i+1,j)+Lp(i+1,j+1);
    end
end
V = zeros(1,N-1) ; 
V(n1) = 1 ;
Vloop = V' ;

Iloop = linsolve(Lloop,Vloop) ;

Ip(1) = Iloop(1) ;
for i = 2 : N-1
    Ip(i) = Iloop(i) -Iloop(i-1) ;
end
Ip(N) = -Iloop(N-1) ;

n = [n1 n2] ;
Start = [1 (n(1)+1)] ;
End =   [n1,  (n(1)+n(2))] ;

for h = 1 : 2
    for k = 1 : 2
        v = 0 ;
        for i = Start(h) : End(h)
            for j = Start(k) : End(k)
                v = v + Lp(i,j)*Ip(j) ;
            end
        end
        vq(h,k) = v/n(h) ;
    end
end

Vq = sum(vq') ;

for h = 1 : 2
    I = 0 ;
    for i = Start(h) : End(h)
        I = I + Ip(i) ;
    end
    Iq(h) = I ;
    
end


for h = 1 : 2
    for k = 1 : 2 
        Lq(h,k) = vq(h,k)/Iq(k) ;
    end
end

Lc(1) = Lq(1,1) - Lq(1,2) ;
Lc(2) = Lq(2,2) - Lq(2,1) ;
disp('Lc/2 = ') ; Lc/2

eps_o = 8.854e-12 ;
eps_r = 1 ;
for i = 1 : 2
    Cc(i) = mu_o*mu_r*eps_o*eps_r*len^2/Lc(i) ;
    end
Cc
        
Cloop = Cc(1)*Cc(2)/(Cc(1) + Cc(2))

b = X2/2;
r = R1 ;
A = (b + sqrt(b^2 - r^2))/r;
Ctheory = pi*eps_o*eps_r*len/(log(A))




    






