% worksheet3_3
% the screened pair
clear
clc
%
% defining the geometry of the three conductors:-
len = 10 ;
X1 = 0;         X2 = 0.6e-3 ; X3 = - 0.6e-3 ;
Y1 = 0 ;        Y2 = 0 ;      Y3 = 0 ;
R1 = 1.5e-3 ;   R2= 0.4e-3 ;  R3 = 0.4e-3 ;
n1 = 30 ;       n2 = 12 ;     n3 = 12 ;
N = n1 + n2 +n3 ;
for i = 1 : n1
    Theta = 2*pi*(i-0.5)/n1 ;
    x(i) = X1 + R1*cos(Theta);
    y(i) = Y1 + R1*sin(Theta);
    r(i) = R1/n1 ;
end
for i = n1+1 : n1+n2
    Theta = 2*pi*(i-n1-0.5)/n2 ;
    x(i) = X2 + R2*cos(Theta);
    y(i) = Y2 + R2*sin(Theta);
    r(i) = R2/n2 ;
end
for i = n1+n2+1 : N
    Theta = 2*pi*(i-n1-n2-0.5)/n3 ;
    x(i) = X3 + R3*cos(Theta);
    y(i) = Y3 + R3*sin(Theta);
    r(i) = R3/n3 ; 
end
%
plot(x, y,'o') ;
axis([-0.002, 0.002, -0.002, 0.002]) ;

% Calculating the amplitude of the primitive currents in the 
% elemental conuctors:-
Mo = 4*pi*1e-7 ;
Mr = 1 ;
K = Mo*Mr*len/(2*pi) ;
for i = 1 : N ;
    for j = 1 : N
        h = x(j) - x(i) ;
        v = y(j) - y(i) ;
        rad = sqrt(h^2 + v^2) ;
        if rad == 0
            rad = r(i) ;
        end
        Lp(i,j) = K*log(len/rad) ;
    end    
end

for i = 1 : N-1 ;
    for j = 1 : N-1 
        Lloop(i,j) = Lp(i,j)-Lp(i,j+1)-Lp(i+1,j)+Lp(i+1,j+1);
    end
end
V = zeros(1,N-1) ; 
V(n1) = 1 ;
Vloop = V' ;

Iloop = linsolve(Lloop,Vloop) ;

Ip(1) = Iloop(1) ;
for i = 2 : N-1
    Ip(i) = Iloop(i) -Iloop(i-1) ;
end
Ip(N) = -Iloop(N-1) ;

% Calculating currents and voltages in composite conductors:-
n = [n1 n2 n3] ;
Start = [1, n1+1, n1+n2+1] ;
End = [n1, n1+n2, N] ;

for h = 1 : 3
    for k = 1 : 3
        v = 0 ;
        for i = Start(h) : End(h)
            for j = Start(k) : End(k)
                v = v + Lp(i,j)*Ip(j) ;
            end
        end
        vq(h,k) = v/n(h) ;
    end
end  

Vq = sum(vq') ;

for h = 1 : 3
    I = 0 ;
    for i = Start(h) : End(h)
        I = I + Ip(i) ;
    end
    Iq(h) = I ;
end
    
Itotal = sum(Iq');

for h = 1 : 3
    for k = 1 : 3 
        Lq(h,k) = vq(h,k)/Iq(k) ;
    end
end

Lloop11 = Lq(1,1)-Lq(1,2)-Lq(2,1)+Lq(2,2) ;
Lloop12 = Lq(1,2)-Lq(1,3)-Lq(2,2)+Lq(2,3) ;
Lloop21 = Lq(2,1)-Lq(2,2)-Lq(3,1)+Lq(3,2) ;
Lloop22 = Lq(2,2)-Lq(2,3)-Lq(3,2)+Lq(3,3) ;
Lloop= [Lloop11 Lloop12 ; Lloop21 Lloop22] ;

Lc(1) = Lloop11+Lloop12 ;
Lc(2) = -Lloop12 ;
Lc(3) = Lloop22+Lloop21;

String = {'Lc/2 = ', Lc(1)/2, Lc(2)/2, Lc(3)/2} ;
disp(String)

Eo = 8.854e-12 ;
Er = 1 ;
for i = 1 : 3
    Cc(i) = Mo*Mr*Eo*Er*len^2/Lc(i) ;
    end
Cc







