% worksheet4_4_1
% Bench test model
clear
clc

% defining physical data
mo = 4*pi*1e-7 ; eo=8.854e-12; c=2.998e8; rho=1.7e-8;
h=5e-3;  s=2e-3; r=0.5e-3; len=10;
% calculating circuit parameters
Rss(1)=rho*len/(pi*r^2);
Rss(2)=Rss(1);
Rss(3)=0.005;
Fx=4*rho/(mo*pi*r^2);
Lc(1)=(mo*len/(2*pi))*log(2*h*s/(r*sqrt(s^2+4*h^2)));
Lc(2)=Lc(1);
Lc(3)=(mo*len/(2*pi))*log(sqrt(s^2+4*h^2)/s);
for i=1:3
    Cc(i)=(len/c)^2/Lc(i) ;
end

Fq = 1/(4*sqrt(Lc(1)*Cc(1)));

% components at near and far ends
Zn=[52 0 0];
Zf=[100 0 1e7]; 
Gc=[0 0 0];
% Voltage source of 1 Volt in loop 1
V = [ 1; 0; 0; 0];

n = 100 ;

for s = 1:4*n ;
    f =  s*Fq/n ;
    Zb = Zbranch(f, Fx, Rss, Gc, Lc, Cc);
    ZL = Zloop( Zb, f, Zn, Zf) ;
    I = linsolve(ZL, V);
    Yoc(s) = abs(I(2));
    F(s) = f ;
end

semilogy(F, Yoc) ;
axis([0 3e7 1e-4 1e-1]) ;
title('Figure 4.4.6 Response of floating configurtion ')
xlabel('Frequency, Hz')
ylabel('Transfer Admittance')
