% worksheet5_4
% The threat current.
clear
clc

% defining physical data
mo = 4*pi*1e-7 ; eo=8.854e-12; c=2.998e8; rho=1.7e-8;
len=15; 
r = [4e-4,     1.2e-3 ;
     1.2e-3   4e-4 ] ;
 
% Calculating circuit componnent values
Lc(1)=(mo*len/(2*pi))*log(r(1,2)/r(1,1)) ;
Lc(2)=(mo*len/(2*pi))*log(r(1,2)/r(2,2)) ;
Lc(3)=(mo*len/(2*pi))*log(len/r(1,2)) ;
R1 = rho*len/(pi*r(1,1)^2);
Rss=[R1, R1, 0] ;
Rrad=73 ;
Fx=4*rho/(mo*pi*r(1,1)^2) ;
Cc = (len/c)^2./Lc ;
Gc =[0 0 0] ;
Zo = sqrt(Lc./Cc) ;
Rn = Zo(1)+Zo(2) ;
Rf = Rn ;
Fq= 1/(4*sqrt(Lc(1)*Cc(1))) ;

S=1;
n=100; 
for s = 1:20*n ;
    f =  s*Fq/n ;
    Vt = Vthreat( f, S, len );
    F(s)=f;
    V=[0; 0; Vt]; 
    Zb = Zbranch(f, Fx, Rss, Gc, Lc, Cc);
    ZL = Zloop5_4( Zb, f, Rn, Rf, Rrad) ;
    I = linsolve(ZL, V);
    Ia = abs(I(1));
    if Ia<=1e-2
        Ia=1e-2 ;
    end
    Y(s) =Ia ;
    F(s) = f ;
end

loglog(F,Y) ;
axis([1e6 1e8, 0.01 10]);
title('Figure 5.4.7 Frequency response of threat current')
xlabel('Frequency, Hz')
ylabel('Threat Current')

