% worksheet5_5
% coupling via the sturucture
clear
clc

% defining physical data
mo = 4*pi*1e-7 ; eo=8.854e-12; c=2.998e8; rho=1.7e-8;
h=1e-2; s=1.2e-3;    r=0.4e-3;   len=15; 

% defining electrical parameters
R1 = rho*len/(pi*r(1,1)^2);
Rss=[R1, R1, 0.005] ;
Lc(1)=(mo*len/(2*pi))*log(2*h*s/(r*sqrt(s^2+4*h^2)));
Lc(2)=Lc(1);
Lc(3)=(mo*len/(2*pi))*log(sqrt(s^2+4*h^2)/s);
Cc=(len/c)^2*1./Lc;
Fq=1/(4*sqrt(Lc(1)*Cc(1)));
Fx=4*rho/(mo*pi*r(1,1)^2) ;
Zn=[132 0 0]; Zf=[132,0,0]; Gc=[0,0,0];
Rrad=50;

% main program
S=1;
n=100; 
for s = 1:20*n ;
    f =  s*Fq/n ;
    F(s)=f;
    Vt = Vthreat( f, S, len );  
    V=[0; Vt; 0; 0]; 
    Zb = Zbranch(f, Fx, Rss, Gc, Lc, Cc);
    ZL = Zloop5_5(Zb, f, Zn, Zf, Rrad);
    I = linsolve(ZL, V);
    Ia = abs(I(2));
    Icm(s)=Ia;
end

loglog(F,Icm) ;
axis([1e5 1e8 1e-3 1e2]);
title('Figure 5.5.8 Current in common-mode loop; S=1 watt per square meter')
xlabel('Frequency, Hz')
ylabel('Common-mode current')
