% worksheet6_1_2
% Transient response of parallel LCR circuit
clear
clc

Vgen=1; R1=5000; R2=20; R3=1e6;
L1=1e-3; C1=100e-9; dt=1e-8;
D=[0 0 0 0];
T=100e-6 ;
N=ceil(T/dt);

for i= 2:N ;
    I2=D(2);
    I3=D(3);
    Q=D(4);
    I1=(Vgen+R2*I2-Q/C1)/(R1+R2);
    I2=(R2*I1+R3*I3+Q/C1)/(R2+R3);
    dI3=dt*R3*(I2-I3)/L1;
    I3=I3+dI3;
    Q=Q+(I1-I2)*dt;
    Iout(i)=I3;
    T(i)=(i-1)*dt;    
    D(1)=I1;
    D(2)=I2;
    D(3)=I3;    
    D(4)=Q;
end

plot(T,Iout);
axis([0 1e-4 0 4e-4]);
title('Figure 6.1.6 Transient response of parallel LCR circuit')
xlabel('Time, seconds')
ylabel('Current, Amps')


