% worksheet6_2_1
% Delay-Line Model
clear
clc

%input parameters
Vgen=10; Ro=100; T=100e-9; Rg=10; RL=1000;
N1=100;
dt=T/N1;
N2=30*N1;
data=zeros(2,N1);

% main program
for i = 1:N2
    p=point(i,N1);
    Ini=data(2,p);
    Ina=(2*Ro*Ini+Vgen)/(Rg+Ro);
    Inr=Ina-Ini;
    Ifi=data(1,p);
    Ifa=2*Ro*Ifi/(RL+Ro);
    Ifr=Ifa-Ifi;
    data(1,p)=Inr;
    data(2,p)=Ifr;      
    Iout(i)=Ina*1000;
    t(i)= (i-1)*1e-3;
end

plot(t, Iout);   
axis([0 N2*1e-3 -50 100]);
title('Figure 6.2.6 Waveform of curent delivered to input of transmision line ')
xlabel('Time, micro-seconds')
ylabel('Current, milli-amps')    


