% worksheet6_3_1
% Delay-Line Model of Inductor
clear
clc

%input parameters
Vgen=10; Ro=100; T=100e-9; Rg=10; RL=0;
N1=100;
dt=T/N1;
N2=30*N1;
data=zeros(2,N1);

% transmission line calculation
for i = 1:N2
    p=point(i,N1);
    Ini=data(2,p);
    Ina=(2*Ro*Ini+Vgen)/(Rg+Ro);
    Inr=Ina-Ini;
    Ifi=data(1,p);
    Ifa=2*Ro*Ifi/(RL+Ro);
    Ifr=Ifa-Ifi;
    data(1,p)=Inr;
    data(2,p)=Ifr;      
    Iout(i)=Ina;
    t(i)= (i-1);
end

L=T*Ro;
Iind=zeros(1,N2);
for i=1:N2-1;
    I=Iind(i);
    dI=dt*(Vgen-Rg*I)/L;
    I=I+dI;
    Iind(i+1)=I;
end
   
    
plot( t, Iind, t, Iout);
title('Figure 6.3.4 Response of short-circuited line and of 10 miro-H inductor')
xlabel('Time, microseconds')
ylabel('Current, milli-A')











