% worksheet6_3_2
% Delay-Line Model of Capacitor
clear
clc

%input parameters
Vgen=10; Ro=100; T=100e-9; Rg=1000; RL=1e7;
N1=100;
dt=T/N1;
N2=30*N1;
data=zeros(2,N1);

% transmission line calculation
for i = 1:N2
    p=point(i,N1);
    Ini=data(2,p);
    Ina=(2*Ro*Ini+Vgen)/(Rg+Ro);
    Inr=Ina-Ini;
    Ifi=data(1,p);
    Ifa=2*Ro*Ifi/(RL+Ro);
    Ifr=Ifa-Ifi;
    data(1,p)=Inr;
    data(2,p)=Ifr;      
    Iout(i)=Ina*1000;
    t(i)= (i-1)*dt;
end

% discrete component calculation
C=T/Ro ;
charge=zeros(1,N2);
for i=1:N2
    Q=charge(i);
    I=(Vgen-Q/C)/Rg ;
    Q=Q+I*dt ;
    charge(i+1)=Q;
    Icap(i)=I*1000;  
end

plot(t, Iout, t, Icap)  ;  
title('Figure 6.3.8 Response of open-circuit line and of 1 nF capacitor')
xlabel('Time, micro-seconds')
ylabel('Current, milli-amps')    











