% worksheet6_3_3
% Response of open-circuit line t quarter-wave frequency

%input parameters
Vmax=10; Ro=100; T=100e-9; Rg=10; RL=1e7; c=3*1e8;
N1=100; dt=T/N1; N2=30*N1; f=1/(4*T); 
data=zeros(2,N1);

% transmission line calculation
for i = 1:N2
    t=i*dt;
    Vgen=Vmax*sin(2*pi*f*t);
    p=point(i,N1);
    Ini=data(2,p);
    Ina=(2*Ro*Ini+Vgen)/(Rg+Ro);
    Inr=Ina-Ini;
    Ifi=data(1,p);
    Ifa=2*Ro*Ifi/(RL+Ro);
    Ifr=Ifa-Ifi;
    data(1,p)=Inr;
    data(2,p)=Ifr;      
    Iout(i)=Ina;
    time(i)= (i-1)*1e-3;
end


plot(time, Iout)  ;  
title('Figure 6.3.10 Response of open-circuit line at quarter-wave frequency')
xlabel('Time, micro-seconds')
ylabel('Current, Amps')    











