% worksheet6_4
% Antenna-mode current
clear
clc

%input parameters
Rg=4.7; Rcable=5; RL=1e7; Ro=100; T=83e-9;
Crad=250e-12; Vg=1; N=100; dt=T/N;
data=zeros(2,N);
D=[0 0];
T1=100e-9; T2=2e-6; N1=T1/dt; N2=T2/dt;


% transmission line calculation
for i = 1:N2   
    Vgen=0;
    if  i>N1
        Vgen=Vg;
    end      
    p=point(i,N);
    Ifi=data(1,p);
    Ini=data(2,p);
    Qns=D(1);
    Ina=(2*Ro*Ini+Vgen)/(Rg+Ro+Rcable);
    Inr=Ina-Ini;
    Ins=Inr-Qns/(Ro*Crad);
    Int=Inr-Ins;
    Qns=Qns+Ins*dt;
    D(1)=Qns;
    
    Ifa=2*Ro*Ifi/(RL+Ro);
    Ifr=Ifa-Ifi;
    
    data(1,p)=Int;
    data(2,p)=Ifr;    

    Iout(i)=Ina;
    time(i)= (i-1)*dt*1e6;
end

plot(time, Iout)  ;  
title('Figure 6.4.6 Wafeform of current at near end of transmission line')
xlabel('Time, micro-seconds')
ylabel('Current, milli-amps')    











