% worksheet7_1
% Calibrating voltage transformer. See figure 7.1.3
clear
clc

% Test data:-
D =    [0.01    2.2     50  ;
        0.02	2.6     90  ;
        0.05	3.4     146 ;
        0.1     3.8     170 ;
        0.2     3.95	177 ;
        0.5     3.95	180 ;
        1       4       182 ;
        2       4       180 ;
        5       3.9     172 ;
        10      3.8     158 ;
        15      3.6     140 ;
        19      3.45	124] ;
% Using test results to calculate Transfer Function TFt. See figure 7.1.4
f    = D(:,1)*1e6;
Vch1 = D(:,2);
Vch2 = D(:,3)*1e-3 ;
TFt = Vch2./Vch1;
% data on circuit model. See figure 7.1.6
R1 = 16.5;
R2 = 68*240/(68+240);
R3 = 5100 ;
R4 = 5000 ;
Lp = 64e-6 ;
L1 = 6e-6;
L2 = Lp -L1 ;
C1 = 520e-12;
V1 = 1 ;
V2 = (50 + R1)*V1/50 ;
Turns = 10 ;
% Calculating response of circuit model
for i = 1:35
    x = 4 + (i-1)*0.1 ;
    f1 = 10^x ;
    w = 2*pi*f1 ;
    Y2 = 1/(1j*w*L2) +1/(R3+R4);
    Z2 = 1/Y2 ;
    Y1 = 1/R2+1/(Z2+1j*w*L2)+ 1j*w*C1 ;
    Z1 = 1/Y1 ;
    V3 = Z1*V2/(Z1+R1) ;
    V4 = Z2*V3/(Z2+1j*w*L1) ;
    V5 = R4*V4/(R3+R4) ;
    TFm(i) = abs(V5)/Turns ;
    F(i) = f1 ;
end ;
loglog(f, TFt, ':o', F, TFm)
axis([1e4 1e8 0.01 0.1])
title('Figure 7.1.9 Transfer functions derived from testing & modelling')
xlabel('Frequency, Hz')
ylabel('Transfer function')
% end of file