% worksheet7_2
% calibration of current transformer 
clear
clc

% test data
D =[0.005	8	98 ;
    0.01	8	175 ;
    0.02	8	270 ;
    0.05	8	340 ;
    0.1     8	360 ;
    0.2     8	365 ;
    0.5     8	375 ;
    1       8	370 ;
    2       8	370 ;
    5       7.9	365 ;
    10      7.8	360 ;
    15      7.4	335 ;
    19      6.9	330 ] ;
% Using test results to calculate transfer impedance ZTt
f =    D(:,1)*1e6 ;
Vch1 = D(:,2) ;
Vch2 = D(:,3)*1e-3 ;
for i = 1 :length(f) ;
    Iprim = Vch1(i)/50 ;
    ZTt(i)= Vch2(i)/Iprim ;
end ;
% data on circuit model. See figure 7.2.7
R1 = 300 ; R2 = 51 ; R3 = 50 ; R4 = 850 ;
L1 = 200*1e-6 ; C1 = 60e-12 ; Turns = 10 ;
% calculating frequency range for model
y1 = log10(5e3) ; y2= log10(20e6) ; m = (y2-y1)/100 ;
% calculating response of circuit model
for i = 1 : 101
    y = m*(i-1) + y1 ;
    f1 = 10^y ;
    w = 2*pi*f1 ;
    Z1 = R4 + 1/(1j*w*C1) ;
    Y2 = 1/R1 +1/R2 +1/R3 + 1/(1j*w*L1) +1/Z1 ;
    Z2 = 1/Y2 ;
    ZTm(i) = abs(Z2)/Turns ;
    F(i) = f1 ;
end
% displaying the two curves
loglog(f, ZTt, 'o', F, ZTm) ;
axis([1e3 1e8 0.1 10]);
title('Figure 7.2.9 Transfer Impedance from test results and circuit model');
xlabel('frequency, Hz');
ylabel('Transfer Impedance') ;






