% worksheet7_4_1
% The isolated conductor
clear
clc

data=[  1       400     0.4;
     	2       400     0.4;
        3       400     1   ;
        4       395     1.9 ;
        5       390     3.4 ;
        6       390     5.9 ;
        6.5     385     8.4 ;
        7       385     14.5;
        7.5     380     26  ;
        7.83	360     36  ;
        8       350     31.5;
        8.5     345     16.5;
        9       345     10.5;
        10      345     6.2 ;
        11      345     6   ;
        12      345     4.4
        13      340     3.4 ;
        14      340     3   ;
        15      330     3   ;
        16      330     2.4 ;
        17      320     1.4 ;
        18      315     2.2 ;
        19      310     3.4 ;
        19.6	305     4.2] ;

% defining the variables
f    = data(:,1)*1e6;
Vch1 = data(:,2)*1e-3;
Vch2 = data(:,3)*1e-3 ;

% data on circuit model of current transformer. See figure 7.2.7
R1=300; R2=51; R3=50; R4=850;
L1=200e-6; C1=60e-12; Turns=10;

% Admittance derived from test results, Yt
for s=1:length(f);
    w=2*pi*f(s);
    Vin=((51+50)/50)*Vch1(s);
    Z1=R4+1/(1j*w*C1);
    Y2=1/R1+1/R2+1/R3+1/(1j*w*L1)+1/Z1;
    Isec=abs(Y2)*Vch2(s);
    Iprim=Isec*Turns;
    Yt(s)=Iprim/Vin;
end

% plot(f,Yt,'o');

% data on circuit model of dipole
eo=8.854e-12; mo=4*pi*1e-7; mr=1; c=3e8;
rho=1.7e-8;
len=7.5;
r=0.5e-3;
Fx=4*rho/(mo*pi*r^2);
Lp=mo*mr*len/(2*pi)*log(len/r);

fq=7.83e6;
v=4*len*fq;
er=(c/v)^2;
Cp=2*pi*eo*er*len/log(len/r);
Rrad=73;
Vsource=1;
Rss=rho*len/(pi*r^2);
Gp=0;
Rsource=1;

% admittance of circuit model of figure 7.4.6 
for i=1:200
    F(i)=i*1e5;
    w=2*pi*F(i);
    Rp=Rss*sqrt(1+F(i)/Fx);
    theta=sqrt((Rp+1j*w*Lp)*(Gp+1j*w*Cp));
    Zo=sqrt((Rp+1j*w*Lp)/(Gp+1j*w*Cp));
    Z1=Zo*tanh(theta/2);
    Y2=sinh(theta)/Zo;
    Z2=1/Y2;
    Z3=2*Z1+2*Z2+Rrad+Rsource;
    Ym(i)=Vsource/abs(Z3);
end
    
plot(f,Yt,'r:o', F,Ym)
title('Figure 7.4.8 Comparing the response of the test with that 0f the initial circuit model')
xlabel('Frequency, Hz')
ylabel('Admittance, Amps/Volt') 

disp('This model assumes the radiation resistance is 73 ohm');
disp('73 ohm is the radiation resistance of a dipole antenna');