% worksheet9_4
% Susceptibility requirements
clear
clc

data=[  0.01	10  ;
        0.1     10  ;
        0.1     10  ;
        0.5     10  ;
        0.5     10  ;
        1.6     10  ;
        1.6     560 ;
        5       560 ;
        5       380 ;
        10      380 ;
        10      200 ;
        30      200 ;
        30      200 ;
        100     200 ;
        100 	60  ;
        200     60  ;
        200     70  ;
        700     70  ;
        700     60  ;
        1000	60 ];
    
  c=299.8*1e6; len=15;
  fq=c/(4*len);
  n=100;; N=20*n;
  
  for i=1:N ;
      f=i*fq/n ;
      thres = f*1e-6;
      k=FindRow(thres,data);
      E(i)=data(k,2);
      F(i)=f;
      lambda=c/f;
      Va=E(i)*lambda/pi;
      Vb=Va*sin(2*pi*len/lambda);
      if  len>lambda/4
          Vb=Va;
      end
      Vthreat(i)=Vb;
      
  end
      
  % loglog(F,Vthreat);
  % axis([1e5,1e8,100,1e5]);

  % defining physical data
  mo = 4*pi*1e-7 ; eo=8.854e-12;  rho=1.7e-8;
  h=10e-3; s=1.2e-3;    r=0.4e-3;    

  % defining electrical parameters
  R1 = rho*len/(pi*r^2);
  Rss=[R1, R1, 0.005] ;
  Fx=4*rho/(mo*pi*r(1,1)^2) ;
  Lc(1)=(mo*len/(2*pi))*log(2*h*s/(r*sqrt(s^2+4*h^2)));
  Lc(2)=Lc(1);
  Lc(3)=(mo*len/(2*pi))*log(sqrt(s^2+4*h^2)/s);
  Cc=(len/c)^2*1./Lc;
  Zn=[132 0 0]; Zf=[132,0,0]; Gc=[0,0,0];
  Rrad=50;
    
  for i = 1:N;
      Vt=Vthreat(i);
      V=[0; Vt; 0; 0];
      f=F(i);
      Zb = Zbranch(f, Fx, Rss, Gc, Lc, Cc);
      ZL = Zloop5_5( Zb, f, Zn, Zf, Rrad);
      I = linsolve(ZL, V);
      Ia = abs(I(1));
      Iout(i)=Ia ;
  end
  
  subplot(2,2,1);
  loglog(F,E);
  axis([1e5 1e8 1 1e3]);
  title('Fig 9.4.1 Military Threat Environment')
  xlabel('Frequency, Hz')
  ylabel('Electic Field, V/m')
  
  subplot(2,2,2);
  loglog(F,Vthreat);
  axis([1e5 1e8 100 1e5]);
  title('Fig 9.4.2 Threat Voltage in common-mode loop')
  xlabel('Frequency, Hz')
  ylabel('Vthreat, Volts')
  
  
  subplot(2,2,[3 4]);
  loglog(F,Iout);
  axis([1e5 1e8 .01 100]);
  title('Fig 9.4.4 Current in differential-mode loop')
  xlabel('Frequency, Hz')
  ylabel('Idiff, Amps')
  

  

  
  
