% worksheet9_5
% Emission requirements
clear
clc

data=[  20          130 ;
        2000        130 ;
        50*10^3     50  ;
        500*10^3	20  ;
        200*10^6	20 ];

for i =1 : length(data)
    dBmicroA=data(i,2);
    dBA=dBmicroA-120;
    y=dBA/20;
    limit(i)=10^y;
    F1(i)=data(i,1);
end

% loglog(F1, limit);
% axis([10 1e9 1e-6 10]);

% defining physical data
mo = 4*pi*1e-7 ; eo=8.854e-12; c=2.998e8; rho=1.7e-8;
h=1e-2; s=1.2e-3;    r=0.4e-3;   len=15; 

% defining electrical parameters
R1 = rho*len/(pi*r^2); 
Rss=[R1, R1, 0.005] ;
Lc(1)=(mo*len/(2*pi))*log(2*h*s/(r*sqrt(s^2+4*h^2)));
Lc(2)=Lc(1);
Lc(3)=(mo*len/(2*pi))*log(sqrt(s^2+4*h^2)/s);
Cc=(len/c)^2*1./Lc;
Fq=1/(4*sqrt(Lc(1)*Cc(1)));
Fx=4*rho/(mo*pi*r(1,1)^2) ;
Zn=[132 0 0];
Zf=[132,0,0];
Gc=[0,0,0];
Rrad=0;

% defining frequency range and input voltage
F2=[0.0005; 0.005; 0.01; 0.02; 0.05; 0.1; 0.2; 0.5;
    1; 2; 5; 15; 25; 35; 45; 55; 65; 75; 95  ]*1e6;

V=[1; 0; 0; 0];

% determining the response of the setup of figure 9.5.3
for j=1:length(F2);
    f=F2(j);
    Zb=Zbranch( f, Fx, Rss, Gc, Lc, Cc );
    ZL = Zloop5_5( Zb, f, Zn, Zf, Rrad);
    I = linsolve(ZL, V);
    Itemp=I*1e6;
    Ia = abs(I(2));
    Ipred(j)=Ia ;    
end

loglog(F2, Ipred, '--', F1, limit);
axis([1e3, 1e8, 1e-6 10]);
title('Fig 9.5.5 Comparing predicted response with emission requirements')
xlabel('Frequency, Hz')
ylabel('limit (solid line), Ipredicted (dashed line), Amps')




    
    